function startGame() {
  startOk = 1;
  document.getElementById("target").style.top = randomValue(5, 100) + "px";
  changeLoc = setInterval("setReset()", 5000);
}

function move(dir) {
  if (startOk == 1) {
    var arrowLayer = document.getElementById("arrow");
    currentTop = parseInt(arrowLayer.style.top);

    switch (dir) {
      case "up":
        if (currentTop > 5) {
          arrowLayer.style.top = (currentTop - 5) + "px";
        }
        break;
      case "down":
        if (currentTop < 195) {
          arrowLayer.style.top = (currentTop + 5) + "px";
        }
        break;
    }
  }
}

function throwArrow() {
  if (startOk == 1) {
    var arrowLayer = document.getElementById("arrow");
    arrowLayer.style.left = 510 + "px";
    deadAlive();
  }
}

function deadAlive() {
  var arrow = parseInt(document.getElementById("arrow").style.top);
  var girl = parseInt(document.getElementById("target").style.top);
  var difference = arrow - girl;

  if (difference < 3 && difference > -8) {
    alert("Tam isabet");
    stopGame();
  } else if (difference < -9 || difference > 90) {
    alert("Iskaladınız");
    stopGame();
  } else {
    alert("Geçmişler olsun!!! ");
    stopGame();
  }
}

function stopGame() {
  changeLoc = window.clearInterval(changeLoc);
  document.getElementById("arrow").style.left = 10 + "px";
  startOk = 0;
}

function setReset() {
  document.getElementById("arrow").style.left = 10 + "px";
  document.getElementById("target").style.top = randomValue(5, 100) + "px";
}

function randomValue(start, finish) {
  return Math.floor(Math.random() * (finish - start + 1) + start);
}